org.fourthline.cling.support.avtransport.lastchange

## Class AVTransportVariable.RecordMediumWriteStatus

- java.lang.Object
- - org.fourthline.cling.support.lastchange.EventedValue<E>
  - - org.fourthline.cling.support.lastchange.EventedValueEnum<RecordMediumWriteStatus>
    - - org.fourthline.cling.support.avtransport.lastchange.AVTransportVariable.RecordMediumWriteStatus

- Enclosing class:
    AVTransportVariable

      public static class AVTransportVariable.RecordMediumWriteStatus
      extends EventedValueEnum<RecordMediumWriteStatus>

- - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AVTransportVariable.RecordMediumWriteStatus(Map.Entry<String,String>[] attributes)`
    `AVTransportVariable.RecordMediumWriteStatus(RecordMediumWriteStatus recordMediumWriteStatus)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RecordMediumWriteStatus` | `enumValueOf(String s)`

    - ### Methods inherited from class org.fourthline.cling.support.lastchange.EventedValueEnum

      `getDatatype, toString, valueOf`

    - ### Methods inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `getAttributes, getName, getValue, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AVTransportVariable.RecordMediumWriteStatus

          public AVTransportVariable.RecordMediumWriteStatus(RecordMediumWriteStatus recordMediumWriteStatus)

    - #### AVTransportVariable.RecordMediumWriteStatus

          public AVTransportVariable.RecordMediumWriteStatus(Map.Entry<String,String>[] attributes)

  - ### Method Detail

    - #### enumValueOf

          protected RecordMediumWriteStatus enumValueOf(String s)

      Specified by:
        `enumValueOf` in class `EventedValueEnum<RecordMediumWriteStatus>`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.